<?php
/**
 * The template for displaying comments
 *
 * The area of the page that contains both current comments
 * and the comment form.
 *
 * @package WordPress
 * @subpackage BlogoLife
 * @since BlogoLife 3.0.0
 * @author Valeriu Tihai
 * @author Stylish WordPress Themes
 * @link https://stylishwp.com
 */
/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

	<?php if ( have_comments() ) : ?>
		<div class="page-header blogolife-gradient">
			<h2 class="comments-title">
				<?php
					$blogolife_comments_number = get_comments_number();
					if ( 1 === $blogolife_comments_number ) {
						/* translators: %s: post title */
						printf( _x( 'One thought on &ldquo;%s&rdquo;', 'comments title', 'blogolife' ), get_the_title() );
					} else {
						printf(
							/* translators: 1: number of comments, 2: post title */
							_nx(
								'%1$s Comment',
								'%1$s Comments',
								$blogolife_comments_number,
								'comments title',
								'blogolife'
							),
							number_format_i18n( $blogolife_comments_number ),
							get_the_title()
						);
					}
				?>
			</h2>
		</div>
<div id="comments" class="comments-area">
		<div class="comment-list">
			<?php
				wp_list_comments( array(
					'callback' => 'blogolife_list_comment',
					'style'       => 'div'
				) );
			?>
		</div><!-- .comment-list -->

		<?php blogolife_the_comments_navigation( array( 'screen_reader_text' => __( '', 'blogolife' ), ) ); ?>

	<?php endif; // Check for have_comments(). ?>

	<?php
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
	?>
		<div class="page-header blogolife-gradient">
			<h2 class="comments-title no-comments">
				<?php _e( 'Comments are closed.', 'blogolife' ); ?>
			</h2>
		</div>
	<?php endif; ?>

	<?php
		comment_form( array(
			'title_reply_before' => '<div class="page-header blogolife-gradient"><h2 id="reply-title" class="comments-title comment-reply-title">',
			'cancel_reply_link'    => __( 'or cancel', 'blogolife' ),
			'title_reply'          => __( 'Leave a reply', 'blogolife' ),
			'title_reply_to'       => __( 'Leave a reply to %s', 'blogolife' ),
			'title_reply_after'  => '</h2></div>',
		) );
	?>
<!-- .comments-area </div> -->
