<?php
/**
 * The template part for displaying content
 *
 * @package WordPress
 * @subpackage BlogoLife
 * @since BlogoLife 3.0.0
 * @author Valeriu Tihai
 * @author Stylish WordPress Themes
 * @link https://stylishwp.com
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
	</header><!-- .entry-header -->
	<div class="postformat  blogolife-gradient">
		<i class="fa fa-file-text-o"></i>
	</div>
	<?php if ( has_post_thumbnail() ) : ?>
		<div class="post-thumbnail">
			<?php the_post_thumbnail();?>
		</div><!-- .post-thumbnail -->
	<?php endif; ?>

	<div class="entry-content">
		<?php if ( is_search() ||  has_excerpt( $post->ID ) ) {
			the_excerpt();
		} else {
			the_content( sprintf(
				__( 'Continue reading %s', 'blogolife' ),
				the_title( '<span class="screen-reader-text">', '</span>', false )
			) );
		}
		wp_link_pages( array(
			'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'blogolife' ) . '</span>',
			'after'       => '</div>',
			'link_before' => '<span>',
			'link_after'  => '</span>',
			'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'blogolife' ) . ' </span>%',
			'separator'   => '<span class="screen-reader-text">, </span>',
		) );
		?>

	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php
			if (get_theme_mod( 'blogolife_show_hide_page_date' ) !== 'off' ) {
				blogolife_entry_date();
			}

			if (get_theme_mod( 'blogolife_show_hide_page_author' ) !== 'off' ) {
				blogolife_entry_author();
			}

			blogolife_entry_comments();

			edit_post_link( sprintf( __( 'Edit', 'blogolife' ) ), '<span class="f-link edit-link">', '</span>' );
		?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
<?php if (is_single()) {
		echo blogolife_content_navigation('postnav');
	}
?>
<?php comments_template(); ?>
