<?php
/**
 * Widgets initializations
 *
 * @package WordPress
 * @subpackage BlogoLife
 * @since BlogoLife 3.0.0
 * @author Valeriu Tihai
 * @author Stylish WordPress Themes
 * @link https://stylishwp.com
 */

function blogolife_widgets_init() {

	/*------------------------------------------------------------
		Sidebar Widget
	============================================================*/
	register_sidebar( array(
		'name' => __( 'Sidebar Widget Area', 'blogolife' ),
		'id' => 'sidebar-widgets',
		'description' => __( 'Sidebar widget area', 'blogolife' ),
		'before_widget' => '<div id="%1$s" class="sidebar-section widget %2$s">',
		'after_widget' => "</div></div>",
		'before_title' => '<div class="sidebar-section-title page-header blogolife-gradient">',
		'after_title' => '</div><div class="sidebar-section-body">'
	) );
	/*-----------------------------------------------------------
		Footer Widget area
	-----------------------------------------------------------*/
	register_sidebar( array(
		'name' => __( 'First Footer Widget Area', 'blogolife' ),
		'id' => 'footer1-widgets',
		'description' => __( 'The first footer widget area', 'blogolife' ),
		'before_widget' => '<div id="%1$s" class="footer-section widget %2$s">',
		'after_widget' => "</div></div>",
		'before_title' => '<h4 class="footer-section-title page-header blogolife-gradient">',
		'after_title' => '</h4><div class="footer-section-body">'
	) );
	register_sidebar( array(
		'name' => __( 'Second Footer Widget Area', 'blogolife' ),
		'id' => 'footer2-widgets',
		'description' => __( 'The second footer widget area', 'blogolife' ),
		'before_widget' => '<div id="%1$s" class="footer-section widget %2$s">',
		'after_widget' => "</div></div>",
		'before_title' => '<h4 class="footer-section-title page-header blogolife-gradient">',
		'after_title' => '</h4><div class="footer-section-body">'
	) );
	register_sidebar( array(
		'name' => __( 'Third Footer Widget Area', 'blogolife' ),
		'id' => 'footer3-widgets',
		'description' => __( 'The Third footer widget area', 'blogolife' ),
		'before_widget' => '<div id="%1$s" class="footer-section widget %2$s">',
		'after_widget' => "</div></div>",
		'before_title' => '<h4 class="footer-section-title page-header blogolife-gradient">',
		'after_title' => '</h4><div class="footer-section-body">'
	) );
}
add_action( 'widgets_init', 'blogolife_widgets_init' );
