<?php
/**
 * The index template
 *
 * @package WordPress
 * @subpackage BlogoLife
 * @since BlogoLife 3.0.0
 * @author Valeriu Tihai
 * @author Stylish WordPress Themes
 * @link https://stylishwp.com
 */
?>
<?php get_header(); ?>
<div class="row content collapse">
	<div class="columns small-12 medium-7 large-9 col_content" >
		<main id="main" class="site-main" role="main">
		<?php
			if (is_search()) : ?>
			<div class="page-header page-title">
				<h1>
					<?php printf( __( 'Search Results for: %s', 'blogolife' ), '<span>' . esc_html( get_search_query() ) . '</span>' ); ?>
				</h1>
			</div>
		<?php endif; ?>
		<?php	if (is_tag() || is_author() || is_category() || is_date() ) {
				echo '<div class="page-header blogolife-gradient page-title">';
				the_archive_title( '<h1>', '</h1>' );
				echo '</div>';
				the_archive_description( '<p class="taxonomy-description">', '</p>' );
				if ( '' !== get_the_author_meta( 'description' ) ) {
					echo '<p class="author-description">';
						the_author_meta( 'description' );
					echo '</p>';
				}

			}
		 ?>
			<?php if ( have_posts() ) : ?>
				<?php
				// Start the loop.
				while ( have_posts() ) : the_post();
					/*
					 * Include the Post-Format-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */
					get_template_part( 'inc/templates/content', get_post_format() );
				// End the loop.
				endwhile;
				blogolife_page_navigation();
				// Previous/next page navigation.

			// If no content, include the "No posts found" template.
			else :
				get_template_part( 'inc/templates/content', 'none' );
			endif;
			?>
		</main><!-- .site-main -->
	</div>
		<div class="columns small-12 medium-5 large-3 col_sidebar">
			<?php get_sidebar(); ?>
		</div>
</div>
<?php get_footer(); ?>
