<?php
/**
 * The template part for displaying default page
 *
 * @package WordPress
 * @subpackage BlogoLife
 * @since BlogoLife 3.0.0
 * @author Valeriu Tihai
 * @author Stylish WordPress Themes
 * @link https://stylishwp.com
 */
 $blogolife_page_meta 			= get_post_meta($post->ID);
 $blogolife_sidebar_position 	= isset($blogolife_page_meta['blogolife_sidebar_display'][0]) ? $blogolife_page_meta['blogolife_sidebar_display'][0] : "show";
?>
<?php get_header(); ?>
<div class="row content collapse">
	<div class="columns small-12 <?php if ($blogolife_sidebar_position === 'show') { echo 'medium-7 large-9'; } ?> col_content" >
		<main id="main" class="site-main" role="main">
			<?php if ( have_posts() ) : ?>
				<?php
				// Start the loop.
				while ( have_posts() ) : the_post();
					/*
					 * Include the Post-Format-specific template for the content.
					 * If you want to override this in a child theme, then include a file
					 * called content-___.php (where ___ is the Post Format name) and that will be used instead.
					 */
					get_template_part( 'inc/templates/content', 'page' );
				// End the loop.
				endwhile;
			else :
				get_template_part( 'inc/templates/content', 'none' );
			endif;
			?>
		</main><!-- .site-main -->
	</div>
	<?php if ($blogolife_sidebar_position === 'show') : ?>
		<div class="columns small-12 medium-5 large-3 col_sidebar">
			<?php get_sidebar(); ?>
		</div>
	<?php endif; ?>
</div>
<?php get_footer(); ?>
